设为首页收藏本站

晓东CAD家园-论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

楼主: 王鹏_pBZlo

[工具] 读横纵断面数据自动绘图

[复制链接]

已领礼包: 583个

财富等级: 财运亨通

 楼主| 发表于 2020-1-8 16:17:17 | 显示全部楼层
Trouble12138 发表于 2020-1-8 15:18
单根多段线偏移变封闭多段线轮廓那个tt.fas文件加载成功后,输入tt无效,怎么回事

原先发在哪里的?
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2020-1-8 16:45:05 | 显示全部楼层

http://bbs.xdcad.net/forum.php?m ... p;page=1#pid3709170
回复没有提示  没看到  不好意思
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2020-1-8 16:47:19 | 显示全部楼层

这个论坛回复的文字很小,没注意到  不好意思
http://bbs.xdcad.net/forum.php?m ... p;page=1#pid3709170
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2020-1-8 16:49:46 | 显示全部楼层


                               
登录/注册后可看大图

就是这个功能  
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 583个

财富等级: 财运亨通

 楼主| 发表于 2020-1-8 20:44:33 | 显示全部楼层
本帖最后由 王鹏_pBZlo 于 2020-2-7 07:49 编辑
Trouble12138 发表于 2020-1-8 15:20
单根多段线偏移变封闭多段线轮廓那个tt.fas文件,可否再发一下?急求,在线等

找不到了,重写一下
(defun c:tt( / py ent ent1 ent2 p0 p1 p2 p3 p4 )
        (setvar "peditaccept" 1)
        (setq py (getreal "\n指定偏移距离:"))
        (while        (setq ent (car (entsel "\n选择要偏移的对象:")))
                (setq p0 (getpoint "\n选择偏移侧的一点:"))
                (command "offset" py ent p0 "")
                (command "pedit" (entlast) "")
                (setq ent1 (entlast))
                (setq p1 (vLax-Curve-getStartPoint ent))
                (setq p2 (vLax-Curve-getEndPoint ent))
                (setq p3 (vLax-Curve-getStartPoint ent1))
                (setq p4 (vLax-Curve-getEndPoint ent1))
                (if (< (distance p4 p1) (distance p3 p1)) (setq p0 p3 p3 p4 p4 p0))
                (entmake (list (cons 0 "LINE") (cons 10 p1) (cons 11 p3))) (setq ent2 (entlast))
                (entmake (list (cons 0 "LINE") (cons 10 p2) (cons 11 p4)))
                (command "pedit" ent1 "j" ent2 ent (entlast) "" "")
        )
        (princ)
)
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2020-1-8 22:04:21 | 显示全部楼层
太谢谢了  太热心了  太感谢
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2020-1-9 08:40:25 | 显示全部楼层
我这边用不行  不知道你那边能不能用?输出偏离距离后,提示选择偏移侧的一点,点的时候没有反应

点评

没有问题啊  详情 回复 发表于 2020-1-9 11:35
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 583个

财富等级: 财运亨通

 楼主| 发表于 2020-1-9 11:35:01 | 显示全部楼层
Trouble12138 发表于 2020-1-9 08:40
我这边用不行  不知道你那边能不能用?输出偏离距离后,提示选择偏移侧的一点,点的时候没有反应

没有问题啊
pyfb.gif
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2020-1-9 12:09:27 | 显示全部楼层
感谢楼主分享
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2020-1-9 12:46:44 | 显示全部楼层

哦哦  好的  我操作有误,先选择对象了。能不能改为先选择对象 然后能够批量操作的?

点评

你选择了多个对象每个对象偏移方向都是一样的?  详情 回复 发表于 2020-1-9 14:39
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 583个

财富等级: 财运亨通

 楼主| 发表于 2020-1-9 14:39:38 | 显示全部楼层
Trouble12138 发表于 2020-1-9 12:46
哦哦  好的  我操作有误,先选择对象了。能不能改为先选择对象 然后能够批量操作的?

你选择了多个对象每个对象偏移方向都是一样的?
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2020-1-9 14:51:16 | 显示全部楼层
王鹏_pBZlo 发表于 2020-1-9 14:39
你选择了多个对象每个对象偏移方向都是一样的?

是的  偏移方向一致

点评

(defun c:tt( / py ent ent1 ent2 p0 p1 p2 p3 p4 ) (setvar "peditaccept" 1) (setq py (getreal "\n指定偏移距离:")) (setq ss (ssget)) (setq p5 (getpoint "\n选  详情 回复 发表于 2020-1-9 15:01
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 1 反对 0

使用道具 举报

已领礼包: 583个

财富等级: 财运亨通

 楼主| 发表于 2020-1-9 15:01:33 | 显示全部楼层
本帖最后由 王鹏_pBZlo 于 2020-1-9 16:55 编辑
Trouble12138 发表于 2020-1-9 14:51
是的  偏移方向一致


(defun c:tt( / py ent ent1 ent2 p0 p1 p2 p3 p4 )
        (setvar "peditaccept" 1)
        (setq py (getreal "\n指定偏移距离:"))
        (setq ss (ssget))
                (setq p5 (getpoint "\n选择偏移侧的一点:"))          (setq i -1)
     (while (setq ent (ssname ss (setq i (1+ i))))
                (command "offset" py ent p5 "")
                (command "pedit" (entlast) "")
                (setq ent1 (entlast))
                (setq p1 (vLax-Curve-getStartPoint ent))
                (setq p2 (vLax-Curve-getEndPoint ent))
                (setq p3 (vLax-Curve-getStartPoint ent1))
                (setq p4 (vLax-Curve-getEndPoint ent1))
                (if (< (distance p4 p1) (distance p3 p1)) (setq p0 p3 p3 p4 p4 p0))
                (entmake (list (cons 0 "LINE") (cons 10 p1) (cons 11 p3))) (setq ent2 (entlast))
                (entmake (list (cons 0 "LINE") (cons 10 p2) (cons 11 p4)))
                (command "pedit" ent1 "j" ent2 ent (entlast) "" "")
        )
        (princ)
)
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 1 反对 0

使用道具 举报

发表于 2020-1-9 16:42:33 | 显示全部楼层
王鹏_pBZlo 发表于 2020-1-9 15:01
(defun c:tt( / py ent ent1 ent2 p0 p1 p2 p3 p4 )
        (setvar "peditaccept" 1)
        (set ...

这个运行会出错  就是选择偏移侧一点的时候提示参数类型错误

点评

漏了一句,已经加上  详情 回复 发表于 2020-1-9 16:56
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 583个

财富等级: 财运亨通

 楼主| 发表于 2020-1-9 16:56:17 | 显示全部楼层
Trouble12138 发表于 2020-1-9 16:42
这个运行会出错  就是选择偏移侧一点的时候提示参数类型错误

漏了一句,已经加上
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|小黑屋|手机版|Archiver|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )  

GMT+8, 2021-10-18 09:26 , Processed in 0.763812 second(s), 63 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2020, Tencent Cloud.

快速回复 返回顶部 返回列表